setup/install logstash100[7-9].eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the setup and deployment of three new logstash systems via our ganeti infrastructure.

logstash1007:

  • - vm setup per instructions on T173565 (dns was already setup by @akosiaris) vm has been created, just needs start and os install
  • - puppet update for install params
  • - os installation
  • - puppet/salt acceptance
  • - handoff to @Gehel for service implementation

logstash1008:

  • - vm setup per instructions on T173565 (dns was already setup by @akosiaris) vm has been created, just needs start and os install
  • - puppet update for install params
  • - os installation
  • - puppet/salt acceptance
  • - handoff to @Gehel for service implementation

logstash1009:

  • - vm setup per instructions on T173565 (dns was already setup by @akosiaris) vm has been created, just needs start and os install
  • - puppet update for install params
  • - os installation
  • - puppet/salt acceptance
  • - handoff to @Gehel for service implementation
RobH created this task.Sep 5 2017, 5:20 PM

Change 376062 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] setting logstash100[7-9].eqiad.wmnet install params

https://gerrit.wikimedia.org/r/376062

Change 376062 merged by RobH:
[operations/puppet@production] setting logstash100[7-9].eqiad.wmnet install params

https://gerrit.wikimedia.org/r/376062

Change 376071 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] fixing new logstash entries

https://gerrit.wikimedia.org/r/376071

Change 376071 merged by RobH:
[operations/puppet@production] fixing new logstash entries

https://gerrit.wikimedia.org/r/376071

Change 376073 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] another install fix for logstash

https://gerrit.wikimedia.org/r/376073

Change 376073 merged by RobH:
[operations/puppet@production] another install fix for logstash

https://gerrit.wikimedia.org/r/376073

RobH updated the task description. (Show Details)Sep 5 2017, 8:00 PM
RobH updated the task description. (Show Details)Sep 5 2017, 9:48 PM
RobH updated the task description. (Show Details)Sep 5 2017, 9:53 PM
RobH updated the task description. (Show Details)Sep 5 2017, 10:08 PM
RobH reassigned this task from RobH to Gehel.Sep 5 2017, 10:31 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)

Ok, handing this to @Gehel for followup. Feel free to use or resolve task as needed.

Gehel added a comment.Sep 7 2017, 9:14 AM

I'm taking over this task for service implementation.

Change 376488 had a related patch set uploaded (by Gehel; owner: Guillaume Lederrey):
[operations/puppet@production] logstash - configure new logstash100[7-9] nodes

https://gerrit.wikimedia.org/r/376488

Mentioned in SAL (#wikimedia-operations) [2017-09-13T13:23:07Z] <gehel> initial installation of logstash100[7-9] - T175045

Change 376488 merged by Gehel:
[operations/puppet@production] logstash - configure new logstash100[7-9] nodes

https://gerrit.wikimedia.org/r/376488

Change 377755 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - ensure plugin directory is present

https://gerrit.wikimedia.org/r/377755

Change 377755 merged by Gehel:
[operations/puppet@production] logstash - ensure plugin directory is present

https://gerrit.wikimedia.org/r/377755

Change 377763 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - add new logstash hosts to ferm rules

https://gerrit.wikimedia.org/r/377763

Change 377763 merged by Gehel:
[operations/puppet@production] logstash - add new logstash hosts to ferm rules

https://gerrit.wikimedia.org/r/377763

Change 377771 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] lgostash - activate icinga alerts on new logstash100[7-9] nodes

https://gerrit.wikimedia.org/r/377771

Change 377771 merged by Gehel:
[operations/puppet@production] lgostash - activate icinga alerts on new logstash100[7-9] nodes

https://gerrit.wikimedia.org/r/377771

Mentioned in SAL (#wikimedia-operations) [2017-09-13T14:31:10Z] <gehel> pooling new logstash servers (logstash100[7-9]) - T175045

The new logstash servers are up, running and pooled. We still need to switch all log producers to them and decom them, but there are other tasks for that. This can be closed.

debt closed this task as Resolved.Sep 15 2017, 8:14 PM
debt added a subscriber: debt.

Thanks, @RobH and @Gehel !